DXRubyとtmxライブラリを使った地形アタリ処理のサンプル
=====================================================

2013/12/22

書いた人 : mieki256


概要
----

[マップエディタ Tiled Map Editor](http://www.mapeditor.org/)
の保存フォーマット(.tmx)を読み込んで、DXRubyで表示します。

地形アタリ判定や補正処理も行います。


必要なもの
----------

* Windows
* Ruby
* DXRuby
* tmx


tmxライブラリのインストール方法
-------------------------------

    gem install tmx


サンプルの実行方法と操作方法
----------------------------

    ruby mapdisp.rb

もしくは、

    mapdisp.exe

を実行。


* カーソルキー : カーソル移動
* WASDキー : スクロール
* Bキー : BGアタリと複数BGの表示切替
* Hキー : ぶら下がり棒をアタリとして見るか見ないかを切替
* ESCキー : 終了

補足:

* カーソルが赤くなったら、地形と当たってます。
* 地形と当たった際に、補正座標を示すカーソルが出ます。
    * 水色のカーソルが、床と天井補正。
    * 黄色のカーソルが、壁補正


同梱ファイルについての説明
--------------------------

* mapdisp.rb ... メイン処理
* dxrbtmx.rb ... tmxをDXRubyで扱うBGマップデータに変換するクラス
* bgatari.rb ... BGアタリ処理担当クラス
* bg\\_atari\\_test.tmx ... tmxファイル(Tiled保存ファイル形式)
* bg_attari.png ... BGマップ用画像(1タイル16x16ドット)
* mapdisp.exe ... mapdisp.rb を ocra で固めたもの

dxrbtmx.rb、bgatari.rb 内の各メソッドやプロパティについては、
ドキュメントを作成しましたので、そちらを参照してください。
以下がドキュメントです。

* [doc/index.html](./index.html)
* [doc/_index.html](./_index.html)


ドキュメント作成方法
--------------------

YARDを使うと便利です。


    yardoc dxrbtmx.rb bgatari.rb

上記を実行すると、doc/ フォルダを作って、
その中に htmlドキュメントを生成してくれます。


License
-------

Public Domain.

tmxファイルも画像ファイルも、
mieki256 が自作したファイルですので、安心して使ってください。

